Get QR code for a distributor
GET
/distributors/{id}/qr
const url = 'https://app.surveyrock.com/api/v1/distributors/example/qr?format=svg&size=300&fgColor=%23000000&bgColor=%23FFFFFF';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://app.surveyrock.com/api/v1/distributors/example/qr?format=svg&size=300&fgColor=%23000000&bgColor=%23FFFFFF' \ --header 'Authorization: Bearer <token>'GET /api/v1/distributors/{id}/qr
Returns binary (SVG/PNG) or JSON (data_uri) based on format param.
Requirements: 10.1–10.4
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Query Parameters
Section titled “Query Parameters”format
string
size
integer
fgColor
string
bgColor
string
Responses
Section titled “Responses”QR code image or data URI JSON
Distributor not found